[Launch]
ProgramExecutable=MusicStudio\MusicStudio.exe
WorkingDirectory=%PAL:AppDir%\MusicStudio
SinglePortableAppInstance=true
WaitForExe1=amf2_slave.exe
WaitForExe2=CancelAutoplay2.exe
DirectoryMoveOK=yes

[Activate]
Registry=true

[RegistryKeys]
MusicStudio=HKCU\Software\Ashampoo\Ashampoo Music Studio 12
-=HKCU\Software\Ashampoo\drives
-=HKCU\Software\Microsoft\Direct3D\MostRecentApplication

[RegistryCleanupIfEmpty]
1=HKCU\Software\Ashampoo

[DirectoriesMove]
boxshots=%LOCALAPPDATA%\Ashampoo\boxshots
-=%LOCALAPPDATA%\Microsoft\Internet Explorer\DOMStore

[DirectoriesCleanupIfEmpty]
1=%LOCALLOWAPPDATA%\Ashampoo

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\MusicStudio.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\MusicStudio.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\MusicStudio.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

